Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.placeholder
Class ContentBucket.PreviewInfo

    java.lang.Object
      com.bea.p13n.placeholder.ContentBucket.PreviewInfo

All Implemented Interfaces
  Serializable

Enclosing interface:
  ContentBucket

    public static class ContentBucket.PreviewInfo

extends Object
implements Serializable

Class that captures the information from the preview.

See Also
  Serialized Form

Field Summary
`String` | `content` The XHTML string content
`String` | `identifier` Deprecated No longer used, use path instead.
`boolean` | `isFolder` Is the content a folder?
`String` | `mimeType` The content mimeType
`String` | `path` The content path.
`int` | `size` The content size
`int` | `weight` The weight of the content

Constructor Summary
`ContentBucket.PreviewInfo()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### weight

    public int weight

  The weight of the content

### content

    public String content

  The XHTML string content

### identifier

    public String identifier

  Deprecated No longer used, use path instead.
  The content identifier

### path

    public String path

  The content path.

### isFolder

    public boolean isFolder

  Is the content a folder?

### mimeType

    public String mimeType

  The content mimeType

### size

    public int size

  The content size

Constructor Detail

### ContentBucket.PreviewInfo

    public ContentBucket.PreviewInfo()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.